Mercury API
ReadTagMemBytes Method (target, bank, byteAddress, byteCount)
Namespaces ► ThingMagic ► Reader ► ReadTagMemBytes(TagFilter, Int32, Int32, Int32)
Read data from the memory bank of a tag.
Declaration Syntax

C# | Visual Basic | Visual C++

    public abstract byte[] ReadTagMemBytes(
    	TagFilter target,
    	int bank,
    	int byteAddress,
    	int byteCount
    )

    Public MustOverride Function ReadTagMemBytes ( _
    	target As TagFilter, _
    	bank As Integer, _
    	byteAddress As Integer, _
    	byteCount As Integer _
    ) As Byte()

    public:
    virtual array<unsigned char>^ ReadTagMemBytes(
    	TagFilter^ target,
    	int bank,
    	int byteAddress,
    	int byteCount
    ) abstract

Parameters

target (TagFilter)
  the tag to read from, or null

bank (Int32)
  the tag memory bank to read from

byteAddress (Int32)
  the word address to start reading from

byteCount (Int32)
  the number of words to read

Return Value
the words read

Assembly: MercuryAPI (Module: MercuryAPI) Version: 1.29.4.34 (1.29.4.34)